## hildon-desktop 2.0.18-1

=== debian/changelog ===
hildon-desktop (1:2.0.18-1) sardine; urgency=low

  * src/hd-applications-menu.c: Applied patch to ensure that memory is
    free in case of a return value of TRUE in
    hd_applications_menu_has_focus Fixes: NB#86282
  * configure.ac 2.0.18

 -- Karl Lattimer <karl.lattimer@nokia.com>  Fri, 6 Jun 2008 12:22:00 +0300

hildon-desktop (1:2.0.17-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.c: Reversed patch provided by
    adrian bunk regarding bug NB#78610 others menu not closing when cursor is
    initially inside the menu and is released outside of the menu. Causes 
    strange menu behavior.
  * configure.ac 2.0.17

 -- Karl Lattimer <karl.lattimer@nokia.com>  Tue, 20 May 2008 10:47:00 +0300

hildon-desktop (1:2.0.16-1) sardine; urgency=low

  * src/hd-applications-menu.c: Applied patch provided by adrian bunk regarding
    bug NB#78264 others menu opening two applications with double tap.
  * libhildondesktop/hildon-desktop-popup-window.c: Applied patch provided by
    adrian bunk regarding bug NB#78610 others menu not closing when cursor is
    initially inside the menu and is released outside of the menu.
  * Repaired errors in debian changelog
  * configure.ac: 2.0.16

 -- Karl Lattimer <karl.lattimer@nokia.com>  Fri, 09 May 2008 10:05:32 +0300 

hildon-desktop (1:2.0.15-1) sardine; urgency=low

  * data/restore-menu.sh: Reworked the original update for chinook backup restore
    to remove a dodgy escaped newline character, which was causing an invalid file
  * configure.ac: 2.0.15

 -- Karl Lattimer <karl.lattimer@nokia.com>  Wed, 16 Apr 2008 17:54:35 +0300 

hildon-desktop (1:2.0.14-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-notification-manager.c:  reverse
  2.0.11 patch to fix memory leak, appears to be a double free.

 -- Karl Lattimer <karl.lattimer@nokia.com>  Wed, 16 Apr 2008 09:11:38 +0300 

hildon-desktop (1:2.0.13-1) sardine; urgency=low

  * libhildonwm/hd-wm-util.c: fix various small issues found by Coverity on
    hd_wm_get_vmdata_for_pid(), also reducing function complexity
    Fixes: NB#80134
    (patch by Leonid Moiseichuk)
  * configure.ac: 2.0.13

 -- Rodrigo Novo <rodrigo.novo@nokia.com>  Tue, 15 Apr 2008 16:51:51 +0300

hildon-desktop (1:2.0.12-1) sardine; urgency=low

  * data/restore-menu.sh: ensure that backup restore from chinook
    always includes hildon-update-notifier.desktop in the statusbar.conf
    this is a substandard fix, more information can be found in the file
    comments.
    Fixes: NB#82941
  * configure.ac: 2.0.12

 -- Karl Lattimer <karl.lattimer@nokia.com>  Tue, 15 Apr 2008 16:17:00 +0300

hildon-desktop (1:2.0.11-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-notification-manager.c: fix
  memory leak by correctly freeing pre-allocated hash table
  Fixes: NB#79468 "osso_system_note_infoprint causes hildon-desktop to leak
  memory"

  * data/restore-menu.sh: erase desktop configuration files when
  restoring a backup from an older software release.
  Fixes: NB#82941 "SSU: Restoring backup that does not have software
  update notifier disables the plugin"

 -- Rodrigo Novo <rodrigo.novo@nokia.com> Tue,  8 Apr 2008 15:39:00 +0300

hildon-desktop (1:2.0.10-1) sardine; urgency=low

  * libhildonwm/hd-wm-application.c (hd_wm_application_new):
  - when program have arguments specified in their desktop file,
  be sure to remove these from the default class_name.
  Patch courtesy of Adrian Bunk.
  Fixes: NB#80487

  * src/hd-select-plugins-dialog.c (hd_select_plugins_dialog_get_store):
  fixed the double free of a GError.

  * libhildondesktop/hildon-desktop-item.[ch]: move new properties of
  HildonDesktopItem to a private struct in order to keep ABI backwards
  compatibility.

  Added support for having several instances of the same type of plugins
  with different configuration or content.

  * src/hd-config.h: added entries for new keys X-Temporary and
  X-Resource.
  * src/hd-plugin-manager.c (hd_plugin_manager_sync): check if the
  plugins is marked as temporary. Is so, remove the .desktop
  accordingly.
  * src/hd-plugin-loader-default.c
  (hd_plugin_loader_default_open_module): load resource and temporary
  keys into respective object properties for future usage.
  * libhildondesktop/hildon-desktop-item.[ch]
  (hildon_desktop_item_get_resource): accessor method for plugin's
  resource.
  (hildon_desktop_home_class_init, hildon_desktop_item_get_property,
  hildon_desktop_item_set_property): new GObject properties "resource"
  and "temporary". The former to be used by plugins to identify what
  content/configuration should be used/considered for each instance. The
  latter to mark plugins as temporary (.desktop is removed is the plugin
  is unloaded).

  * src/hd-desktop.c (hd_desktop_plugin_list_to_conf),
  src/hd-home-window.c (hd_home_window_background,
  hd_home_window_screen_off), libhildondesktop/hildon-home-area.c,
  libhildonwm/hd-wm.c: several small fixed in order to cleanly build
  on 64 bit architectures.
  Patch from Bill Filler <bill.filler@canonical.com>.

  * src/hd-switcher.c: fix #ifdef check for maemo GTK+. Patch from
  Bill Filler <bill.filler@canonical.com>.

  * libhildondesktop/hildon-desktop-home-item.c:
  (hildon_desktop_home_item_create_icon_window): handle not having an
  event window, in case the realize / unrealize methods were overridden
  not to have one.
  Fixes: NB#80392
  Patch courtesy of Anton Rogaynis

  * configure.ac: check for individual functions from maemo-gtk rather
  than relying on MAEMO_CHANGES
  * libhildondesktop/hildon-desktop-panel-expandable.c,
  libhildondesktop/hildon-desktop-popup-window.c,
  libhildonwm/hd-wm.c: use these tests rather than MAEMO_CHANGES.
  Fixes: MB#2080
  Patch courtesy of Riku Voipio.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 19 Mar 2008 12:59:02 +0200

hildon-desktop (1:2.0.9-1) sardine; urgency=low

  * src/hd-select-plugins-dialog.c: still display the dialog

