## hildon-desktop 2.0.18-1fix1

=== debian/changelog ===
hildon-desktop (1:2.0.18-1fix1) sardine; urgency=low

  * Fix notification-groups.conf to have the correct values for Modest.
    Fixes: NB#86982

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  6 Aug 2008 09:13:43 +0300
