## hildon-desktop 2.0.19

=== debian/changelog ===
hildon-desktop (1:2.0.19.debian.1-3) unstable; urgency=low

  * debian/control:
    + Depend on hildon-icons and hildon-theme-plankton. (Closes: #545342)
    + Upped Standards-Version. (no changes)
    + Added Vcs fields.
    + Made dep from -dev to library stronger to please lintian.
    + Added ${misc:Depends} where missing.
  * debian/update-patches.mk: Misc. updates.
  * debian/patches/: Added patch to link to XLib where necessary. (Closes:
    #554801)
  * Changed source format to 3.0 (quilt).

 -- Jonny Lamb <jonny@debian.org>  Sun, 16 May 2010 09:17:00 +0100

hildon-desktop (1:2.0.19.debian.1-2) unstable; urgency=low

  * debian/control: Added deps on matchbox-window-manager and
    gtk2-engines-sapwood. (Closes: #541034)
  * debian/patches/:
    + 0002-Remove-duplicate-entry-in-pkginclude_HEADERS.patch:
      Added. (Closes: #543030)

 -- Jonny Lamb <jonny@debian.org>  Sun, 30 Aug 2009 13:50:26 +0100

hildon-desktop (1:2.0.19.debian.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop now empty libhildon*dbg packages.
  * Cleanup whitespace.
  * Cleanup rules.

  [ Jonny Lamb ]
  * New upstream snapshot.
  * debian/gbp.conf: Added git-buildpackage config file.
  * debian/README.source: Added.
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Include quilt.make and call patch targets.
    + Call autogen.sh with NOCONFIGURE.
    + Call debian/rules unpatch from clean target after distclean.
  * debian/control:
    + Use my debian.org email address.
    + Upped Standards-Version.
    + Removed libesd0-dev build-dep.
    + Added quilt build-dep.
    + Updated Section fields.
    + Made hildon-desktop's extended description a little longer.
  * debian/copyright: Updated to point out the use of a snapshot.
  * debian/watch: Added dversionmangle to remove .debian.1 from version.
  * debian/patches/:
    + 0001-Fix-SetBackground-crasher-due-to-sed-not-matching-g_.patch: Added.

 -- Jonny Lamb <jonny@debian.org>  Thu, 16 Apr 2009 21:45:48 +0100

hildon-desktop (1:2.0.7.debian.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove build-dependency on libhildonfm-dev, which is completely 
    broken and not likely to be fixed any time soon.

 -- Josselin Mouette <joss@debian.org>  Mon, 23 Mar 2009 22:10:25 +0100

hildon-desktop (1:2.0.7.debian.1-1) unstable; urgency=low

  [ Riku Voipio ]
  * Merge in debian/ directory from debian branch by hand
  * Correct -dbg sections
  * remove extra ldconfig call from hildon-desktop

  [ Jonny Lamb ]
  * Merged trunk branch.
  * Wrapped deps.
  * Cleaned up descriptions.
  * Updated debian/copyright.
  * Added gtk-doc-tools to build-deps.
  * Fixed doc build and install errors.
  * Corrected dh_strip call in debian/rules to ensure hildon-desktop
    debug symbols go into hildon-desktop-dbg.
  * Fixed lintian warnings.
  * Removed debian/conffiles -- not required.
  * Bumped Standards-Version.
  * Corrected shell syntax error in start-hildon.
  * Initial release into Debian (Closes: #452152)

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 15 Jan 2008 00:40:28 +0200
