=== debian/control ===
Source: hildon-desktop
Section: x11
Priority: optional
Maintainer: Debian Maemo Maintainers <pkg-maemo-maintainers@lists.alioth.debian.org>
XSBC-Original-Maintainer: Johan Bilien <johan.bilien@nokia.com>
Uploaders: Loic Minier <lool@dooz.org>,
           Jonny Lamb <jonny@debian.org>,
           Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 5.0.0),
               libhildon-1-dev | hildon-libs-dev,
               pkg-config,
               libosso-dev (>= 0.9.19),
               libgnomevfs2-dev,
               osso-af-settings,
               libhildonhelp-dev | libosso-help-dev,
               libxtst-dev,
               libxml2-dev,
               libxdamage-dev,
               libsqlite3-dev,
               mce-dev,
               autoconf,
               automake,
               libtool,
               gtk-doc-tools
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/pkg-maemo/hildon-desktop.git
Vcs-Browser: http://git.debian.org/?p=pkg-maemo/hildon-desktop.git

Package: hildon-desktop
Architecture: any
Depends:  ${shlibs:Depends},
          ${misc:Depends},
          ${launcher:Depends},
          maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0 | maemo-af-desktop-l10n-mr1,
          gtk2-engines-sapwood,
          matchbox-window-manager,
          hildon-icons,
          hildon-theme-plankton
Conflicts: maemo-af-desktop (<< 3.0.0),
           maemo-af-desktop-config
Description: Desktop environment for embedded devices
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform
 .
 This package contains the actual desktop environment.

Package: hildon-desktop-dev
Architecture: all
Depends: ${misc:Depends},
         libhildondesktop-dev,
         libhildonwm-dev
Description: Development files for the Hildon Desktop
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the development headers required to create new
 plugin loaders.

Package: hildon-desktop-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, hildon-desktop (= ${binary:Version})
Description: Debug symbols for Hildon Desktop
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the debug symbols for hildon-desktop.  You most
 likely do not need this unless you are doing development with Hildon.

Package: libhildondesktop0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Hildon Desktop shared library
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains a set of widgets to build desktop elements in
 the Hildon Desktop environment

Package: libhildondesktop-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhildondesktop0 (= ${binary:Version}),
         libhildon-1-dev | hildon-libs-dev,
         libxml2-dev,
         libdbus-glib-1-dev
Description: Hildon Desktop library development files
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the development headers and static libraries
 for libhildondesktop.

Package: libhildondesktop0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, lynx | www-browser
Suggests: libgtk2.0-doc
Description: Documentation for Hildon Desktop library
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains documentation for libhildondesktop, aimed at
 plugin writers.

Package: libhildonwm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Hildon window manager shared library
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains a set of tools for window managing from desktop
 environments.

Package: libhildonwm-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libhildondesktop0 (= ${binary:Version}),
         libxtst-dev,
         libx11-dev,
         libhildon-1-dev | hildon-libs-dev,
         libgconf2-dev
Description: Hildon window manager development files
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains development headers and static libraries for
 the libhildonwm.
