=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include $(CURDIR)/debian/update-patches.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
	LAUNCHER = yes
endif

ifeq "$(strip $(LAUNCHER))" "yes"
	LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
	LAUNCHER_LDFLAGS = -shared
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb -fPIC
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -ggdb -DDEBUG
endif

configure_flags := \
				--host=$(DEB_HOST_GNU_TYPE) \
				--build=$(DEB_BUILD_GNU_TYPE) \
				--prefix=/usr \
				--sysconfdir=/etc \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
				--disable-dependency-tracking \
				--enable-gtk-doc

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure $(configure_flags)

build: build-stamp
build-stamp:  config.status
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
#	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
ifeq "$(strip $(LAUNCHER))" "yes"
	mv debian/tmp/usr/bin/hildon-desktop debian/tmp/usr/bin/hildon-desktop.launch
	ln -s maemo-invoker debian/tmp/usr/bin/hildon-desktop
endif

configure:
	dh_testdir
	NOCONFIGURE=1 ./autogen.sh

binary-indep: build install
	dh_link -plibhildondesktop0-doc			\
		usr/share/gtk-doc/html/libhildondesktop		\
		usr/share/doc/libhildondesktop0-doc/libhildondesktop;

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	install -m0755 debian/start-hildon debian/hildon-desktop/usr/bin/start-hildon
	install -m644 $(CURDIR)/debian/config/*.conf $(CURDIR)/debian/hildon-desktop/etc/hildon-desktop
	mkdir -p $(CURDIR)/debian/hildon-desktop/etc/xdg/menus
	install -m644 $(CURDIR)/debian/config/*.menu $(CURDIR)/debian/hildon-desktop/etc/xdg/menus
	dh_installmime
	dh_installman
	dh_link
	dh_strip --dbg-package=hildon-desktop-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V -Nhildon-desktop
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
