=== debian/watch ===
version=3
opts=dversionmangle=s/\.debian\.1// \
http://repository.maemo.org/pool/sardine/main/source/h/hildon-desktop/hildon-desktop_(.*)\.tar\.gz
