## hildon-desktop 2.2.100-16+0m5

=== debian/changelog ===
hildon-desktop (1:2.2.100-16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Thu, 24 Sep 2009 17:58:36 +0300

hildon-desktop (1:2.2.100-16) unstable; urgency=low

  * Fixes: NB#134893 - 'scanning' control panel plugins have negative use-time
    behaviour

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 24 Sep 2009 10:26:58 +0300

hildon-desktop (1:2.2.100-15) unstable; urgency=low

  * Fixes: NB#140332 - smooth fade out to the loading screen screenshot

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed, 23 Sep 2009 13:12:46 +0100

hildon-desktop (1:2.2.100-14) unstable; urgency=low

  * Fixes: NB#139906 - All (non-portrait) dialogs are resized on rotation

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Tue, 22 Sep 2009 15:20:46 +0100
 

hildon-desktop (1:2.2.100-13) unstable; urgency=low

  * Fixes: NB#140044 - When trying to start panning the desktop over a widget
    it is too easy to start the widget instead

 -- Jan Arne Petersen <jpetersen@openismus.com>  Tue, 22 Sep 2009 09:50:47 +0200

hildon-desktop (1:2.2.100-12) unstable; urgency=low

  * Fixes: NB#138800 - Desktop crashed (hd-launcher related)
  * Fixes: NB#139904 - Non-comp exiting from full screen -> title overlap

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Mon, 21 Sep 2009 15:20:46 +0100

hildon-desktop (1:2.2.100-11) unstable; urgency=low

  * Fixes: NB#139522 - Stacked window transition tuneupn sometimes
  * Fixes: NB#139325 - Device turns to Portrait mode completely

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 21 Sep 2009 13:17:03 +0300

hildon-desktop (1:2.2.100-9) unstable; urgency=low

  Gordon:
  * Fixes: NB#138895 - progress indicator not shown sometimes

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 17 Sep 2009 15:29:03 +0300

hildon-desktop (1:2.2.100-8) unstable; urgency=low

  Marc:
  * Fixes: NB#138990 - Disable MCE's accelerometer signals when not needed.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 17 Sep 2009 09:16:43 +0300

hildon-desktop (1:2.2.100-7) unstable; urgency=low

  Adam:
  * Fixes: NB#131703 - Task launcher not accessible until the contacts are
    copied from SIM card

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 16 Sep 2009 10:06:38 +0300

hildon-desktop (1:2.2.100-6) unstable; urgency=low

  Adam:
  * Fixes: NB#138831 - Operator logo is laid out under Status Area after
    changing the device profile

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 15 Sep 2009 12:45:26 +0300

hildon-desktop (1:2.2.100-5) unstable; urgency=low

  Adam:
  * Fixes: NB#134557 - Rotation suffers from too early mapping

  Gordon:
  * Fixes: NB#137524 - Task Launcher animation stutters when launching
    app And task launcher animation from top-left corner
  * Fixes: NB#119749 - Redundant exposure causing glitches on rotation

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 10 Sep 2009 15:26:28 +0300

hildon-desktop (1:2.2.100-4) unstable; urgency=low

  Thomas:
  * Fixes: NB#134696 - Delay launching timeout depending on loadavg.

  Gordon:
  * Fixes: NB#137793 - Indicator for view menu in app title area

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 09 Sep 2009 16:35:04 +0300

hildon-desktop (1:2.2.100-3) unstable; urgency=low

  Gordon:
  * Fixes: NB#137601 - Cannot add 5 contacts on a row to desktop
  
 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed,  9 Sep 2009 13:20:46 +0100

hildon-desktop (1:2.2.100-2) unstable; urgency=low

  Gordon:
  * Fixes: NB#135059 - Home view panning slower over applets than desktop

  Adam:
  * Fixes: NB#136031 - The window closing tone is played twice on closing
    an app from the switcher
  * Fixes: NB#135948 - 'Zombie window' seen in email
  * Fixes: NB#137478 - Switcher becomes non responding on opening power menu
    while on switcher view.

  Phil Carmody:
  * Fixes: NB#136949 - Add X Terminal keyboard shortcut.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  8 Sep 2009 09:20:46 +0300

hildon-desktop (1:2.2.100-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#133517 - possible memory leak in libosso-abook

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 04 Sep 2009 17:38:02 +0300

hildon-desktop (1:2.2.99-1) unstable; urgency=low

  Adam:
  * Revert NB#134557 fixes due to complications. 

  Kimmo:
  * Fixes: NB#135261 - Switching to portrait mode does not work in MicroB

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 01 Sep 2009 12:30:58 +0300

hildon-desktop (1:2.2.98-1) unstable; urgency=low

  Adam (partial fix):
  * Fixes: NB#134557 - Rotation suffers from too early mapping

  Kimmo:
  * Fixes: NB#135950 - fullscreen youtube video launched from non-composited
    fullscreen browser does not paint 

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 31 Aug 2009 14:09:31 +0300

hildon-desktop (1:2.2.97-1) unstable; urgency=low

  [Improved fix]
  * Fixes: NB#135542 - Browser in full screen mode displays only blank screen
    after going out from idle state

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 18:05:13 +0300

hildon-desktop (1:2.2.96-1) unstable; urgency=low

  * Fixes: NB#135542 - Browser in full screen mode displays only blank screen
    after going out from idle state

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 28 Aug 2009 18:02:46 +0300

hildon-desktop (1:2.2.95-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#129527 - Application opening and closing sound is same at Level
    1 and Level 2
  * Fixes: NB#135459 - Unable to use home layout mode once camera is launched
    after opening settings of rss

  Gordon:
  * Fixes: NB#134348 - SMS notifications in non-composited mode. Other issues
    as reported by testers.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 27 Aug 2009 16:39:27 +0300

hildon-desktop (1:2.2.94-1) unstable; urgency=low

  Kimmo:

