## hildon-desktop 2.2.100-31%2b0m5

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

ifeq (,$(findstring noa11y,$(DEB_BUILD_OPTIONS)))
ENABLE_A11Y = --enable-a11y
else
ENABLE_A11Y =
endif

ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
ENABLE_LAUNCHER += --enable-maemo-launcher
endif

ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -DG_DEBUG_DISABLE
else
CFLAGS += -O0
endif

CFLAGS += -DG_DISABLE_CHECKS -Winline

DEB_CONFIGURE_EXTRA_FLAGS += \
	$(ENABLE_A11Y) \
	$(ENABLE_LAUNCHER) \
	--enable-static-mb2=yes

DEB_DH_STRIP_ARGS := --dbg-package=hildon-desktop
DEB_DH_INSTALLINIT_ARGS := --no-start -- start 51 2 3 4 . stop 20 0 1 5 6 .

makebuilddir/hildon-desktop::
	./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)

binary-install/hildon-desktop::
	dh_maemolauncher
	dh_installxsession -u 'post 20'
	dh_installxsession --init-script='hildon-desktop-wait' -u 'post 21'
