## hildon-desktop 2.2.100-31+0m5

=== debian/changelog ===
hildon-desktop (1:2.2.100-31+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Tue, 27 Oct 2009 20:44:40 +0200

hildon-desktop (1:2.2.100-31) unstable; urgency=low

  Jan Arne:
  * Fixes: NB#143269 - Task launcher sub view is not pannable.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 27 Oct 2009 16:17:29 +0100

hildon-desktop (1:2.2.100-30) unstable; urgency=low

  Team:
  * Fixes: NB#143910 - hildon-desktop unregistered resources are piling up
    during device use causing slowness of the device

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 23 Oct 2009 11:12:42 +0300

hildon-desktop (1:2.2.100-29) unstable; urgency=low

  Many people:
  * Fixes: NB#141702 - Task launcher does not pan when two entries are added
    at the same time

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 08 Oct 2009 12:00:12 +0300

hildon-desktop (1:2.2.100-28) unstable; urgency=low

  Gordon:
  * Fixes: NB#142006 - CallUI doesn't update orientation when screen is off

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed,  7 Oct 2009 09:56:46 +0100

hildon-desktop (1:2.2.100-27) unstable; urgency=low

  Marc:
  * Fixes: NB#141702 - Task launcher does not pan

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  7 Oct 2009 08:30:52 +0300

hildon-desktop (1:2.2.100-26) unstable; urgency=low

  * Fixes: NB#139928 - Accessing the screen unlocking view reveals the
    underlying applications

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue,  6 Oct 2009 15:25:24 +0300

hildon-desktop (1:2.2.100-25) unstable; urgency=low

  * Fixes: NB#141642 - Applications are shown in portrait mode during call
    rejections or missed calls

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 05 Oct 2009 17:43:32 +0300

hildon-desktop (1:2.2.100-24) unstable; urgency=low

  Aapo:
  * data/transitions.ini: Tweaked rotation values

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon,  5 Oct 2009 16:42:52 +0300

hildon-desktop (1:2.2.100-23) unstable; urgency=low

  Adam:
  * Fixes: NB#141614 - Unnecessary rotations on image viewer if phone
    application open in switcher

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri,  2 Oct 2009 17:42:57 +0300

hildon-desktop (1:2.2.100-22) unstable; urgency=low

  Gordon:
  * Regression fix: Map -> Switcher -> Map = Switcher button stops working
    (input grab/button visibility mismatch)
  * Modified screenshot timeouts to remove flicker
    with games.

  Adam:
  * Various memory leak fixes related to NB#134230 and NB#98132.

  Marc:
  * Fixes: NB#141211 - Watch exec'd (not dbus activated) children and deal
    with their deaths.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 01 Oct 2009 14:21:10 +0300

hildon-desktop (1:2.2.100-21) unstable; urgency=low

  * Fixes: NB#140681 - Title bar of the call UI disappears while closing 
                       from portrait mode.

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Wed,  1 Oct 2009 11:21:46 +0100

hildon-desktop (1:2.2.100-20) unstable; urgency=low

  Partial fix for:
  * Fixes: NB#98132 - Possible memory leak with hildon-desktop during repeated
    CS voice calls

  Jan Arne:
  * Fixes: NB#140969 - Widgets using CPU after screen blanking
    (is-on-current-desktop property)

  Marc:
  * Fixes: NB#139681 - Add Ovi Store entry to hard-coded apps list and ordering.

  Kimmo:
  * Fixes: NB#134893 - 'scanning' control panel plugins have negative
    use-time behaviour

  Adam:
  * Fixes: NB#140965 - The UI blurs and distorts for fraction of time before
    switching to portrait or landscape mode in Phone app.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Sep 2009 16:37:22 +0300

hildon-desktop (1:2.2.100-19) unstable; urgency=low

  Gordon:
  * Fixes: NB#140788 - Compositor updating the entire screen when not required

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Sep 2009 14:03:40 +0300

hildon-desktop (1:2.2.100-18) unstable; urgency=low

  * Fixes: NB#140674 - bad banner removal
  * Fixes: NB#134893 - 'scanning' control panel plugins have negative
    use-time behaviour

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 25 Sep 2009 15:20:06 +0300

hildon-desktop (1:2.2.100-17) unstable; urgency=low

  * transition time tuning

 -- Adam Endrodi <adam.endrodi@blumsoft.eu>  Thu, 24 Sep 2009 15:43:39 +0300

hildon-desktop (1:2.2.100-16newrot) unstable; urgency=low

  * New code related to NB#139504
  * Transition times reduced

 -- Gordon Williams <gordon.williams@collabora.co.uk>  Thu, 24 Sep 2009 12:05:39 +0300
