## hildon-desktop 2.2.120-4+0m5

=== debian/changelog ===
hildon-desktop (1:2.2.120-4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Goel Lokesh Kumar <ext-lokesh.k.goel@nokia.com>  Tue, 01 Dec 2009 12:43:51 +0200

hildon-desktop (1:2.2.120-4) unstable; urgency=low

  * Fixes: NB#147601 - Screen goes blank and needs reboot.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 30 Nov 2009 16:06:45 +0200

hildon-desktop (1:2.2.120-3) unstable; urgency=low

  Gordon:
  * Fixes: NB#141736 - Background is not consistent with and without
    notification

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 19 Nov 2009 16:53:25 +0200

hildon-desktop (1:2.2.120-2) unstable; urgency=low

  Marc:
  * Fixes: NB#146363 - Characters are left unrecognized when entering name
    from desktop view

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 19 Nov 2009 15:35:30 +0200

hildon-desktop (1:2.2.120-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#145616 - Non composite window becomes topmost and appears in
    p-mode for a while if call ui in p-mode is closed in a mentioned scenario.

  Gordon:
  * Fixes: NB#138307 - Task launcher appears empty
  * Fixes: NB#141736 - Background is not consistent with and without
    notification

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 Nov 2009 14:20:46 +0200

hildon-desktop (1:2.2.119-1) unstable; urgency=low

  Kimmo:
  * Fix a regression with rotation code.

  Marc:
  * Fixes: NB#146265 - 15 wakeups seen for desktop for 60secs.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 Nov 2009 11:06:30 +0200

hildon-desktop (1:2.2.118-1) unstable; urgency=low

  Gordon:
  * Fixes: NB#144050 - Closing transition of app menu is on top of the power
    menu
  * Fixes: NB#146154 - Dialog present in the background comes up for a
    fraction of second before moving to the next dialog

  Kimmo:
  * Fixes: NB#142333 - Ctrl + <char> or Ctrl + <shift> + <char>- Launches
    the contacts application
  * Fix problems with the latest 'Swipe to Unlock' window.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 Nov 2009 11:04:05 +0200

hildon-desktop (1:2.2.117-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#143815 - Input field (text entry) widget for desktop widgets
    not defocusing in all required use cases
  * A fix related to NB#143426, this makes HD-emitted button events
    identical to those sent when HD is not running.
  * Remove deprecated MAEMO_SCREEN_WIDTH/HEIGHT properties.

  Adam:
  * Fix a memory leak in hd_launcher_application_tile_clicked.
  * Fixes: NB#142968 - Task Launcher list missing rubberband effect

  Gordon:
  * Fixes: NB#144333 - Upper side of "Enter lock code" panel filled with
    blur application background

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 11 Nov 2009 12:57:23 +0200

hildon-desktop (1:2.2.116-1) unstable; urgency=low

  * Blacklist Chess and Mahjong from non-compositing.
  * Fixes: NB#145639 - Non-composite mode should be used for all
    fullscreen applications

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon,  9 Nov 2009 09:51:36 +0200

hildon-desktop (1:2.2.115-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#145418 - Backlight stays on indefinitely after using Screen
    calibration
  * Further non-compositing fixes.
  * Add hd_debug_mode_set global variable, toggleable with SIGUSR1.
  * Fixes: NB#145639 - Non-composite mode should be used for all
    fullscreen applications

  Marc:
  * Fixes: NB#145331 - X-Maemo-Prestarted-Ignore-Load request for prestarted
    applications

  Gordon:
  * Fixes: NB#145154 - Too many XSyncs in window manager causes slowdowns

  Laszlo:
  * Part of the fix for NB#134010.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 09 Nov 2009 09:45:18 +0200

hildon-desktop (1:2.2.114-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#142324 - UI freezes with HildonAppMenu opened and Close
    non-responsive dialog appearing
  * Fixes: MB#6039 - Hanging application menu requires system reboot

  Gordon:
  * Fixes: NB#143521 - Task launcher (and switcher) panning is broken
  * Fixes: NB#141640 - Multiple taps not handled during application launch
  * Fixes: NB#144761 - Transition tweaks
  * Regression fix: Task launcher subview should return to the top every
                    time it is viewed.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 05 Nov 2009 15:24:54 +0200

hildon-desktop (1:2.2.113-1) unstable; urgency=low

  Gordon:
  * Fixes: NB#144265 - Dialog titles disappear when closing

  Kimmo:
  * Fixes: NB#142332 - [ncfs] No notification previews available in full
    screen mode
  * Fixes: NB#142140 - [non composite mode] Ugly flickering when opening
    dialogs in full screen
  * Fixes: NB#142322 - [ncfs] No transitions in full screen mode

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  4 Nov 2009 15:26:05 +0200

hildon-desktop (1:2.2.112-1) unstable; urgency=low

  Adam:
  * Fixes: NB#138100 - Adding fade effect for notifications in task switcher

  Gordon:
  * Fixes: NB#143482 - Software selection implementation for Clutter

  Jan Arne:
  * Part of fix for NB#131297 and NB#142916.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 04 Nov 2009 15:22:41 +0200

hildon-desktop (1:2.2.111-1) unstable; urgency=low

  Kimmo:
  * Fixes: NB#143757 - Support disabling of transition effects for application
    windows
  * Add _MAEMO_SCREEN_SIZE for future use.

  Marc:
  * Non-UI support for customising launcher menus.

  Gordon:
  * Fixes: NB#144294 - h-d moves/resizes windows when fullscreening and 
    going to uncomposited mode.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 Nov 2009 12:50:01 +0200

hildon-desktop (1:2.2.110-1) unstable; urgency=low

  Jan Arne:
  * Fix launcher not panning bug NB#143269

  Kimmo:
  * Change for NB#137523 - Browser causes X damage events when not
    visible - tk unlock case

  Laszlo:

