=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DEB_DH_INSTALLINIT_ARGS := --no-start -- start 51 2 3 4 . stop 20 0 1 5 6 .
 
 makebuilddir/hildon-desktop::
-	./autogen.sh $(DEB_CONFIGURE_EXTRA_FLAGS)
+	[ -f configure ] || ./autogen.sh
 
 binary-install/hildon-desktop::
 	dh_maemolauncher
