## hildon-desktop 2.2.135-2%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -36,3 +36,8 @@
 	dh_installxsession -u 'post 20'
 	dh_installxsession --init-script='hildon-desktop-wait' -u 'post 21'
 
+# Save SSU d/l volume.
+ifeq ($(DEB_BUILD_ARCH),armel)
+binary-post-install/hildon-desktop::
+	rm -rf "debian/$(cdbs_curpkg)/usr/share/doc"
+endif
